package m05bServices;

import java.util.ArrayList;

import m05bDaos.m05bSancionesDao;
import n05bModelosVistas.m05bSancion;

public class m05bSancionesService {
	private static m05bSancionesService instance = null;

	// private static Logger log;
	public static m05bSancionesService getInstance() {
		if (instance == null) {
			synchronized (m05bSancionesService.class) {
				if (instance == null) {
					instance = new m05bSancionesService();
				
				}
			}
		}

		return instance;
	}
	/**
	 * Devuelve el listado de sanciones
	 */
	public ArrayList<m05bSancion> getSanciones(int page, String identificado, int anio, String[] rangos){
	return m05bSancionesDao.getInstance().getSanciones(page, identificado, anio, rangos);
	}
}
